nythrix's picture

Cloo 0.9.alpha1 - Call for help

This is the first of the (two or possibly three) alpha releases that precede Cloo 0.9. It is an experimental release which brings three major changes:

1) The library is now CLS-compliant and contains no unsafe code including the low-level bindings. This means it is fully usable from every CLI-compatible language out there.
2) Deprecated bits from the previous versions have been removed. Those of you considering upgrade to Cloo 0.9 will need to check their compiler warnings for obsoleted methods/properties. Fear not, though. Every feature can be replaced by a better and more solid one.
3) Clootils have been completely redesigned. The editor is gone but what's left is a bit more usable and much more extensible (at least from a programmer's point of view).

Apart from the deprecated features the OO interface hasn't changed (a simple Cloo.dll switch should be sufficient). However, the changes under the hood are quite extensive so, I would really appreciate some user feedback!

Edit: I'm having problems with my sourceforge account so, the file is momentarily available from here.
Edit2: Problems solved. Download from sourceforge.


Comments

Comment viewing options

Select your preferred way to display the comments and click "Save settings" to activate your changes.
c2woody's picture

sourceforge download seems to be a bit broken, got it working on one setup with Opera. There seem to be a bunch of things broken at sourceforge anyways, so nothing to bother.

Project files for vs2008 are not updated, may be intentional (easy to merge).

Tests for the ATI 5770/CCC 11.1 went fine including OpenCL 1.1. Got to re-test some nVidia things because opening the project had some strange error as well as running the OpenCL 1.1 test failed though the driver claims support.

nythrix's picture

Yeah, they've had security problems. Also, upload didn't succeed until the 3rd attempt or so.

[VS2008]
Are u using it? Is there any reasons why you don't upgrade to 2010? I was hoping to drop support for it :)

[CL 1.1]
Nvidia doesn't offer 1.1 support officially. What Forceware version you have?

c2woody's picture

I usually open projects first in vs2008 because it's faster :) But honestly no reason, though the project files seem to be almost identical. For OpenTK there was some reason stated for not supporting vs2008 any more.

And yes, you're right, the reported OpenCL version for the nVidia drivers is 1.0, I've misinterpreted some information.